Xeonr Developer Docs
API SpecificationSandboxes

ListSandboxes

POST
/containers.api.v1.SandboxService/ListSandboxes

Authorization

BearerAuth
AuthorizationBearer <token>

A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC token for humans. The key's namespace and role are pinned server-side.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

namespace?string
state?string

optional filter

Value in"SANDBOX_STATE_UNSPECIFIED" | "SANDBOX_STATE_CREATING" | "SANDBOX_STATE_RUNNING" | "SANDBOX_STATE_SUSPENDED" | "SANDBOX_STATE_TERMINATED"
pageSize?integer
pageToken?string
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://containers.xeonr.io/containers.api.v1.SandboxService/ListSandboxes" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "sandboxes": [
    {
      "sandboxId": "string",
      "namespace": "string",
      "environmentId": "string",
      "workspaceId": "string",
      "state": "SANDBOX_STATE_UNSPECIFIED",
      "ports": [
        {
          "port": 0,
          "url": "string",
          "accessToken": "string",
          "auth": "AUTH_UNSPECIFIED"
        }
      ],
      "createdAtUnix": 0,
      "resources": {
        "cpuMillis": 0,
        "memoryMb": 0,
        "ephemeralMb": 0,
        "pids": 0
      },
      "idleSuspendSec": 0,
      "maxLifetimeSec": 0,
      "workspaceCache": {
        "policy": "POLICY_UNSPECIFIED",
        "writebackSec": 0
      },
      "egressGrant": {
        "mode": "MODE_UNSPECIFIED",
        "expiresAtUnix": 0,
        "reason": "string",
        "policy": {
          "mode": "MODE_UNSPECIFIED",
          "allow": [
            {
              "hostPattern": "string",
              "ports": [
                0
              ],
              "mode": "RULE_MODE_UNSPECIFIED",
              "pathPrefixes": [
                "string"
              ],
              "methods": [
                "string"
              ],
              "maxResponseBytes": 0,
              "allowPlainHttp": true
            }
          ],
          "presets": [
            "string"
          ],
          "allowPlainHttp": true
        },
        "id": "string"
      },
      "runtimeEgress": {
        "mode": "MODE_UNSPECIFIED",
        "allow": [
          {
            "hostPattern": "string",
            "ports": [
              0
            ],
            "mode": "RULE_MODE_UNSPECIFIED",
            "pathPrefixes": [
              "string"
            ],
            "methods": [
              "string"
            ],
            "maxResponseBytes": 0,
            "allowPlainHttp": true
          }
        ],
        "presets": [
          "string"
        ],
        "allowPlainHttp": true
      },
      "label": "string",
      "egressGrants": [
        {
          "mode": "MODE_UNSPECIFIED",
          "expiresAtUnix": 0,
          "reason": "string",
          "policy": {
            "mode": "MODE_UNSPECIFIED",
            "allow": [
              {
                "hostPattern": "string",
                "ports": [
                  0
                ],
                "mode": "RULE_MODE_UNSPECIFIED",
                "pathPrefixes": [
                  "string"
                ],
                "methods": [
                  "string"
                ],
                "maxResponseBytes": 0,
                "allowPlainHttp": true
              }
            ],
            "presets": [
              "string"
            ],
            "allowPlainHttp": true
          },
          "id": "string"
        }
      ],
      "env": {
        "property1": "string",
        "property2": "string"
      },
      "workspaces": [
        {
          "snapshotId": "string",
          "mountPath": "string",
          "readOnly": true,
          "workspaceId": "string",
          "ephemeral": true,
          "ephemeralFromSnapshotId": "string"
        }
      ],
      "workingDir": "string",
      "argv": [
        "string"
      ],
      "restart": "SANDBOX_RESTART_UNSPECIFIED",
      "onExit": "SANDBOX_ON_EXIT_UNSPECIFIED",
      "runState": "RUN_STATE_UNSPECIFIED",
      "run": 0,
      "lastExitCode": 0
    }
  ],
  "nextPageToken": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}